# Class Reference

java.lang.Object
java.lang.ref.Reference

Direct Known Subclasses:
  `WeakReference`

public abstract class Reference extends Object
Abstract base class for reference objects. This class defines the operations common to all reference objects. Because reference objects are implemented in close cooperation with the garbage collector, this class may not be subclassed directly. Since: JDK1.2, CLDC 1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clears this reference object.
  `Object`
  `get()`
  Returns this reference object's referent.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Reference

    public Reference()

- ## Method Details

  - ### clear

    public void clear()
    Clears this reference object.

  - ### get

    public Object get()
    Returns this reference object's referent. If this reference object has been cleared, either by the program or by the garbage collector, then this method returns null.